// This class contains the start menu of the game. A image is given for the title of the game
class StartMenu {

  //instatiates the image for the title
  PImage title;
  
  //x position of the text
   final float X_POSITION = 100;

  //constructor.
  StartMenu() {

    //load title
    title = loadImage("title.png");
  }

  //displays the start menu
  void display() {

    //sets the recmode to corner and the fill color to black
    rectMode(CORNER);
    fill(0);

    //draws a rectangle
    rect(0, 0, width, height);

    //displays the title
    image(title, 20, 0, width, 720);

    //sets the font, the size and the color of the text
    textFont(font);
    textSize(50);
    fill(10, 69, 237);

    //displays the text
    text("WELCOME ABOARD!", X_POSITION, height/2 - 70);

    //sets the font, the size and the color of the text
    fill(58, 167, 242);
    textSize(45);

    //displays the text
    text("YOUR MISSION :", X_POSITION, height/2 + 15);

    //sets the size of the text
    textSize(30);

    //displays the text
    text("-EXPLORE THE 3D WORLD", X_POSITION, height/2 + 80);
    text("-CUSTOMIZE THE PLANETS SYSTEM", X_POSITION, height/2 + 120);

    //sets the size of the text
    textSize(23);

    //displays the text
    text("TIP: BE CAREFUL, AVOID BEING STUCK INSIDE A PLANET ORBIT", X_POSITION, height/2 + 170);
    text("TIP 2: TRY TO PRESS '+' DURING YOUR EXPLORATION", X_POSITION, height/2 + 210);

    //sets the size of the text
    textSize(21);

    //fills and displays the text
    fill(10, 69, 237);
    text("PRESS ‘S’ TO ACCESS YOUR SPACESHIP", width/2 - 200, height - 120);
    
    //sets the textSize
    textSize(17);
    text("(NAVIGATE WITH THE ARROW KEYS)", width/2 - 150, height - 100);
  }
}